<?xml version="1.0" encoding="ISO-8859-1"?>

<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0" >

        <xsl:output method="html"/>
        <xsl:template  match ="/VPMAusgabe/Plan" >


                <HTML>
                <META HTTP_EQUIV="Content-Language" CONTENT="de" />
                <META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=windows-1252" />
                <Head>

                <Title>
                        <xsl:value-of select="Schulname" />
                        <xsl:text> </xsl:text>
                        <xsl:value-of select="Ueberschrift" />
                </Title>

                <!-- Falls ein externes Stylesheet verwendet werden soll, die -->
                <!-- nachfolgenden Zeile verwenden.                           -->
                <style type="text/css">
                   body { margin-left: 5%; margin-right: 5%; background-color:#0080C0; color:#E8E8E8; font-family:Arial;}

                  .TextPlanart {width:33%; Text-align:left }
                  .TextSchulname {width:33%; Font-Style:Italic ; Text-align:center }
                  .TextAktuellesDatum {width:34%; Text-align:right}
                  .TextUeberschrift { Text-align:center; font-weight: bold }

                  <!-- Formatierungen der Tabelle Absenzen -->
                  .TabelleAbsenzen{ width:60%;
                  border-collapse: collapse;
                  border: inset 3pt;
                  caption-side: bottom}
                  .TitelTabelleAbsenzen {font-weight: bold}
                  .ZelleTabelleAbsenzen{border: 2pt solid}

                  <!-- Formatierungen der Tabelle Pausenaufsichten -->
                  .TabellePausenaufsichten{ border-collapse: collapse;
                  border: inset 3pt;
                  caption-side: bottom}
                  .TitelTabellePausenaufsichten {font-weight: bold}
                  .ZelleTabellePausenaufsichten{border: 2pt solid}
                  .ZelleTabellePausenaufsichtenName{border: 2pt solid; padding-right: 10pt}
                  .ZelleTabellePausenaufsichtenBetrifft{border: 2pt solid; padding-right: 10pt}


                  <!-- Formatierungen der Tabelle fr Mitteilungen -->
                  .TabelleMitteilung {Font-Style:Italic;
                  border-collapse: collapse;
                  border:inset 3pt }
                  .TitelTabelleMitteilung {font-weight: bold}

                  <!-- Formatierungen der Tabelle Vertretungen -->
                  .TabelleVertretungen {border-collapse: collapse;
                  width: 100%;
                  border: outset 10pt ;}
                  .TitleTabelleVertretungen {}
                  .TitelZeileTabelleVertretungen{height: 2em; background-color:#8585AD; }
                  .TitelZelleTabelleVertretungen{}
                  .UngeradeZeileTabelleVertretungen {background-color:#4040A0; }
                  .UngeradeZelleTabelleVertretungen {border: 1pt solid }
                  .ZeileGeradeTabelleVertretungen {background-color:#5050A0; }
                  .ZelleGeradeTabelleVertretungen {border: 1pt solid  }
                </style >

<script language="JavaScript">
<![CDATA[
<!--
function na_change_img_src(name, nsdoc, rpath, preload)
{ 
  var img = eval((navigator.appName.indexOf('Netscape', 0) != -1) ? nsdoc+'.'+name : 'document.all.'+name);
  if (name == '')
    return;
  if (img) {
    img.altsrc = img.src;
    img.src    = rpath;
  } 
}

function na_restore_img_src(name, nsdoc)
{
  var img = eval((navigator.appName.indexOf('Netscape', 0) != -1) ? nsdoc+'.'+name : 'document.all.'+name);
  if (name == '')
    return;
  if (img && img.altsrc) {
    img.src    = img.altsrc;
    img.altsrc = null;
  } 
}

// -->
]]>
</script>

                </Head>
                <Body background="images/nth_theme_arts_modern_blue_bg.gif">


<table border="0" width="100%">
<tr>
	<td width="190" align="center">
		<p align="center">
		<img src="Startseite/HSG-Logo klein.gif" width="54" height="64" border="0"></img>
		</p>
	</td>
	<td width="931">
		<center><table>
			<thead>
				<th class="TextPlanart"> Lehrerplan</th>
				<th>
					<p align="center">
					<img src="nav/nav_5_vertretungen_bhb.gif" name="nav_Vertretungen_BH0" 
					border="0" class="namo-banner" alt="Vertretungen" align="texttop"></img>
					</p>
				</th>
				<th class="TextAktuellesDatum" >Stand: <xsl:apply-templates select="Erstellungsdatum"/></th>
			</thead>
		</table></center>

	</td>
</tr>
<tr >
	<td width="190">
<a href="index.html"  
onmouseover="na_change_img_src('nav_anmeldung_TV0', 'document', 'nav/nav_1_index_btn_homer.gif', true);"
onmouseout="na_restore_img_src('nav_anmeldung_TV0', 'document');"><img src="nav/nav_1_index_btn_home.gif" name="nav_anmeldung_TV0" 
border="0" class="namo-button1" alt="Startseite" align="texttop"></img></a>
<a href="geschichtederschule.html"  
onmouseover="na_change_img_src('nav_anmeldung_TV1', 'document', 'nav/nav_1_geschichtederschule_tvr.gif', true);"
onmouseout="na_restore_img_src('nav_anmeldung_TV1', 'document');"><img src="nav/nav_1_geschichtederschule_tv.gif" name="nav_anmeldung_TV1" 
border="0" class="namo-button1" alt="Geschichte des HSG" align="texttop"></img></a>
<a href="wirueberuns.html"  
onmouseover="na_change_img_src('nav_anmeldung_TV2', 'document', 'nav/nav_1_wirueberuns_tvr.gif', true);"
onmouseout="na_restore_img_src('nav_anmeldung_TV2', 'document');"><img src="nav/nav_1_wirueberuns_tv.gif" name="nav_anmeldung_TV2" 
border="0" class="namo-button1" alt="Wir ber uns" align="texttop"></img></a>
<a href="profil.html"  
onmouseover="na_change_img_src('nav_anmeldung_TV3', 'document', 'nav/nav_1_profil_tvr.gif', true);"
onmouseout="na_restore_img_src('nav_anmeldung_TV3', 'document');"><img src="nav/nav_1_profil_tv.gif" name="nav_anmeldung_TV3" 
border="0" class="namo-button1" alt="Profil" align="texttop"></img></a>
<a href="ausdemunterricht.html"  
onmouseover="na_change_img_src('nav_anmeldung_TV4', 'document', 'nav/nav_1_ausdemunterricht_tvr.gif', true);"
onmouseout="na_restore_img_src('nav_anmeldung_TV4', 'document');"><img src="nav/nav_1_ausdemunterricht_tv.gif" name="nav_anmeldung_TV4" 
border="0" class="namo-button1" alt="Aus dem Unterricht" align="texttop"></img></a>
<a href="wirunddiewelt.html"  
onmouseover="na_change_img_src('nav_anmeldung_TV5', 'document', 'nav/nav_1_wirunddiewelt_tvr.gif', true);"
onmouseout="na_restore_img_src('nav_anmeldung_TV5', 'document');"><img src="nav/nav_1_wirunddiewelt_tv.gif" name="nav_anmeldung_TV5" 
border="0" class="namo-button1" alt="Wir und die Welt" align="texttop"></img></a>
<a href="arbeitskreise.html"  
onmouseover="na_change_img_src('nav_anmeldung_TV6', 'document', 'nav/nav_1_arbeitskreise_tvr.gif', true);"
onmouseout="na_restore_img_src('nav_anmeldung_TV6', 'document');"><img src="nav/nav_1_arbeitskreise_tv.gif" name="nav_anmeldung_TV6" 
border="0" class="namo-button1" alt="Arbeitskreise" align="texttop"></img></a>
<a href="aktuelles.html"  onmouseover="" onmouseout=""><img src="nav/nav_1_aktuelles_tvh.gif" name="nav_anmeldung_TV7" 
border="0" class="namo-hibutton1" alt="Aktuelles" align="texttop"></img></a>
<a href="impressionen.html"  
onmouseover="na_change_img_src('nav_anmeldung_TV8', 'document', 'nav/nav_1_impressionen_tvr.gif', true);"
onmouseout="na_restore_img_src('nav_anmeldung_TV8', 'document');"><img src="nav/nav_1_impressionen_tv.gif" name="nav_anmeldung_TV8" 
border="0" class="namo-button1" alt="Impressionen" align="texttop"></img></a>
<a href="juengste.html"  
onmouseover="na_change_img_src('nav_anmeldung_TV9', 'document', 'nav/nav_1_juengste_tvr.gif', true);"
onmouseout="na_restore_img_src('nav_anmeldung_TV9', 'document');"><img src="nav/nav_1_juengste_tv.gif" name="nav_anmeldung_TV9" 
border="0" class="namo-button1" alt="Fr unsere Jngsten" align="texttop"></img></a>
<a href="impressum.html"  
onmouseover="na_change_img_src('nav_anmeldung_TV10', 'document', 'nav/nav_1_impressum_tvr.gif', true);"
onmouseout="na_restore_img_src('nav_anmeldung_TV10', 'document');"><img src="nav/nav_1_impressum_tv.gif" name="nav_anmeldung_TV10" 
border="0" class="namo-button1" alt="Impressum" align="texttop"></img></a><a name="anchor_menu1208840"></a>
	</td>
	<td width="931" style="border:1px solid #B7B7B7; background: #3030A0; padding:10px" valign="top">
		<xsl:apply-templates select="Ueberschrift"/>
		<p />
		<xsl:call-template name="LehrerAbsenzen"/>
                <p />
                <xsl:call-template name="SchuelerAbsenzen"/>
                <p />
                <xsl:apply-templates select="LehrerMitteilung"/>
                <p />
		<xsl:apply-templates select="Vertretungen"/>
	</td>
</tr>
<tr >
	<td width="190"></td>
	<td width="931">
		<p align="center"><img src="images/nth_theme_arts_modern_blue_hr.gif" border="0" class="namo-hr"></img></p>
		<p align="center"><font size="1">Copyright (c) 2005 Hans-Sachs-Gymnasium Nrnberg. Alle Rechte vorbehalten.</font></p>
		<p align="center"><font size="1"><a href="mailto:homepagegruppe@hans-sachs-gymnasium.de">homepagegruppe@hans-sachs-gymnasium.de</a></font></p>
	</td>
</tr>
</table>




                </Body>
                </HTML>

        </xsl:template>

        <xsl:template match="Ueberschrift">
           <h2 class="TextUeberschrift">
					
              <xsl:value-of select="."/>
           </h2>
        </xsl:template>

        <xsl:template name="LehrerAbsenzen">
           <xsl:if test="Absenzen/Lehrer[@Sichtbar]">

              <center><table class="TabelleAbsenzen" caption="Lehrerabsenzen">
                            <p />
                      <caption class="TitelTabelleAbsenzen"> Lehrerabsenzen </caption>
                      <xsl:for-each select="Absenzen/Lehrer">
                                    <xsl:if test="position() mod 3 = 1">
                                      <xsl:if test="position() = 1">
                                                  <xsl:text disable-output-escaping="yes">  &lt;tr&gt; </xsl:text>
                                          </xsl:if>
                                          <xsl:if test="not(position() = 1)">
                                                    <xsl:text disable-output-escaping="yes">  &lt;tr&gt; </xsl:text>
                                                        <xsl:text disable-output-escaping="yes">  &lt;/tr&gt; </xsl:text>
                                          </xsl:if>
                                  </xsl:if>
                                  <td class="ZelleTabelleAbsenzen">
                                   <xsl:value-of select="@Name"/>
                                    </td>
                                <td class="ZelleTabelleAbsenzen">
                                  <xsl:value-of select="@Betrifft"/>
                                    </td>
                          </xsl:for-each>
                          <xsl:text disable-output-escaping="yes">  &lt;tr&gt; </xsl:text>
              </table></center>

           </xsl:if>
        </xsl:template>

      <xsl:template name="SchuelerAbsenzen">
        <xsl:if test="Absenzen/Klasse[@Sichtbar]">

          <center>
            <table class="TabelleAbsenzen" caption="Klassenabsenzen">
              <p />
              <caption class="TitelTabelleAbsenzen"> Kassenabsenzen </caption>
              <xsl:for-each select="Absenzen/Klasse">
                <xsl:if test="position() mod 3 = 1">
                  <xsl:if test="position() = 1">
                    <xsl:text disable-output-escaping="yes">  &lt;tr&gt; </xsl:text>
                  </xsl:if>
                  <xsl:if test="not(position() = 1)">
                    <xsl:text disable-output-escaping="yes">  &lt;tr&gt; </xsl:text>
                    <xsl:text disable-output-escaping="yes">  &lt;/tr&gt; </xsl:text>
                  </xsl:if>
                </xsl:if>
                <td class="ZelleTabelleAbsenzen">
                  <xsl:value-of select="@Name"/>
                </td>
                <td class="ZelleTabelleAbsenzen">
                  <xsl:value-of select="@Betrifft"/>
                </td>
              </xsl:for-each>
              <xsl:text disable-output-escaping="yes">  &lt;tr&gt; </xsl:text>
            </table>
          </center>

        </xsl:if>
      </xsl:template>
        <xsl:template match="LehrerMitteilung">
                   <p />
               <center><table class="TabelleMitteilung" caption="Mitteilung">
                      <caption class="TitelTabelleMitteilung"> Mitteilungen </caption>
                          <td>
                              <xsl:value-of  disable-output-escaping="yes" select="@Text"/>
                          </td>
                   </table></center>
        </xsl:template>

        <xsl:template match="Vertretungen">
                <center>
                        <table class="TabelleVertretungen" cellpadding="2px">
                                <xsl:apply-templates select="Spalten"/>

                                <xsl:for-each select="Vertretung">
                                                <xsl:if test="position() mod 2 = 1">
                                                        <tr class="UngeradeZeileTabelleVertretungen">

                                                                <xsl:for-each select="node()">
                                                                        <td class="UngeradeZelleTabelleVertretungen"><xsl:value-of select="."/></td>
                                                                </xsl:for-each>
                                                        </tr>
                                                </xsl:if>
                                                <xsl:if test="position() mod 2 = 0">
                                                        <tr class="ZeileGeradeTabelleVertretungen">
                                                                <xsl:for-each select="node()">
                                                                        <td class="ZelleGeradeTabelleVertretungen"><xsl:value-of select="."/></td>
                                                                </xsl:for-each>
                                                        </tr>
                                                </xsl:if>
                                </xsl:for-each>

                        </table>
                </center>
        </xsl:template>

        <xsl:template match="Spalten">
                <tr class="TitelZeileTabelleVertretungen">
                        <xsl:for-each select="Spalte">
                                <td class="TitelZelleTabelleVertretungen"><xsl:value-of select="."/></td>
                        </xsl:for-each>
                </tr>

        </xsl:template>


</xsl:stylesheet>